# Method: accounts.omnichannelSettings.requestInventoryVerification

- [HTTP request](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.omnichannelSettings/requestInventoryVerification#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.omnichannelSettings/requestInventoryVerification#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.omnichannelSettings/requestInventoryVerification#body.request_body)
- [Response body](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.omnichannelSettings/requestInventoryVerification#body.response_body)
  - [JSON representation](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.omnichannelSettings/requestInventoryVerification#body.RequestInventoryVerificationResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.omnichannelSettings/requestInventoryVerification#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.omnichannelSettings/requestInventoryVerification#try-it)

Requests inventory verification for a given merchant in a given country.

### HTTP request

`POST https://merchantapi.googleapis.com/accounts/v1/{name=accounts/*/omnichannelSettings/*}:requestInventoryVerification`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the omnichannel setting to request inventory verification. Format: `accounts/{account}/omnichannelSettings/{omnichannelSetting}` |

### Request body

The request body must be empty.

### Response body

Response message for the omnichannelSettings.requestInventoryVerification method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "omnichannelSetting": { object (`https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.omnichannelSettings#OmnichannelSetting`) } } ``` |

| Fields ||
|---|---|
| `omnichannelSetting` | ``object (`https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.omnichannelSettings#OmnichannelSetting`)`` The omnichannel setting that was updated. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).